Dear Costco Shareholders,
2011 has been an interesting year, providing many economic challenges on a worldwide basis.
Nonetheless, Costcos results were solid and once again, we believe, demonstrated our companys
strength and resilience. We are pleased to report our fiscal 2011 results and discuss our outlook for
2012 and the future. The Company recorded back-to-back years of record sales and earnings during
the past two fiscal years, despite continuing weak and often turbulent economic conditions in the U.S.
and other parts of the world. The durability of our unique business model  to continually provide our
members with quality goods and services at the lowest possible prices  remains very compelling.
We are proud of the financial performance Costco delivered in fiscal 2011. Net sales increased by over
14 percent to $87 billion, and comparable sales in warehouses open more than a year were up 10
percent. Our sales and earnings in 2011 benefited from inflation in gasoline prices and stronger foreign
exchange rates (particularly in our Canadian and Asian markets). Net income was up 12 percent to
nearly $1.5 billion, and earnings per share rose 13 percent to $3.30. Costco generated over $1.9 billion
in free cash flow in 2011; and returned over a billion dollars to shareholders in the form of dividends
($389 million) and share repurchases ($624 million).
Our strong sales increases also provided leverage in reducing our selling, general and administrative
(SG&A) expenses to 9.5% of sales  a three-year low. This is perhaps the most satisfying statistic from
the past years performance, because we recognize how imperative low operating expenses are to the
success of our business. We will continue to emphasize cost controls and expense reduction in 2012.
In fiscal 2011, our members shopped our warehouses an average of four percent more often and spent
about five percent more per visit than they did in 2010, resulting in our strong comparable sales results.
We remain the third largest retailer in the United States, and this year moved from the eighth to the
seventh largest retailer in the world. Our sales per square foot is almost double that of our nearest
competitor, and our same-store sales for 2011 again topped our competition. This is reflected in our
growing number of warehouses with sales of more than $200 million a year, which went from 56
locations in fiscal 2010 to 93 in fiscal 2011. For the first time, four of our locations had more than $300
million in annual sales, including one which had more than $400 million in sales. This rate of top line
revenue per building stands out in the retail industry and results from our ongoing focus on value - that
winning combination of quality and price on every item we sell that, we believe, sets Costco apart from
many of its competitors.
This kind of success does not happen by accident. We believe that great companies can not only
survive, but actually thrive and increase market share during times of economic downturn; and the past
two years have provided an excellent opportunity for us to prove this. It is only through the
concentrated efforts and the constant focus on our mission and core values by all of our dedicated
employees that Costco is able to succeed year after year. We constantly seek to surprise and delight
our members, while deftly balancing the mix of our limited number of SKUs based on the needs and
wants of our expanding member base. We concentrate on efficiency at every level of our operations,
working to keep our overhead low while still offering our employees the best wage and benefit package
in the industry. And we never lose sight of our reason for existence  serving our members well and
rewarding our shareholders.....not just for today, but for the long term.
Our 64 million loyal cardholders play a big part in our success, and keeping them satisfied with every
shopping experience is our ongoing goal. Our Company is made up of talented and passionate
merchants who seek out new and exciting merchandise from suppliers around the world, and
experienced operators who enjoy creating great theater and being show-time ready in our
warehouses every day. The result: our members love to walk our aisles and see what is new and
exciting. This year our member renewal rate was 89 percent in the U.S. and Canada (85% worldwide),
and our total membership dollars amounted to $1.9 billion in cash fees. This includes our Executive

Membership program, which is now operating in the U.S., Canada, Mexico, and the United Kingdom.
Our Executive Members represent 34 percent of our member base, but produce a sales penetration of
66 percent.
Great merchandise and great service are what our members expect to find at Costco, and our
Company continues to expand its brand-name selections as well as its Kirkland Signature products to
exceed our members expectations. We listen to what our members are saying and find innovative
ways to bring them the items they want at exceptional prices. This year, some of the Kirkland Signature
items we introduced were Greek yogurt, organic beef patties, and peanut butter-filled pretzels. We also
created a small-batch seven-year-old bourbon that provided our members with a savings of 60 percent
over comparable national brands. Also offering a 60 percent savings is our new Kirkland Signature
premium digital hearing aid with Bluetooth capabilities that our members can purchase in our hearing
aid centers.
Costcos e-commerce business (costco.com and costco.ca in Canada) continues to grow, and carries
a large selection of items that are usually not available in our warehouses. Our profits in this area
picked up in 2011 and showed particularly strong growth in Canada. We expect this aspect of our
business to grow substantially in the coming years. It is currently limited to the U.S. and Canada, but
we plan to expand into our international markets in the next few years.
Our ancillary businesses, encompassing our food courts, mini-photo labs, optical, hearing aid,
pharmacy, and gas station operations, are another key component of our warehouse mix. Combined,
they showed a sales increase of 24 percent in 2011. These ancillaries help set us apart from our
competition, help drive incremental sales and also bring in additional income. One of the big hitters this
year was our gas station business. We sold nearly $9 billion worth of gasoline in fiscal 2011, a sales
increase of 40 percent over last year. This is a very volatile market that requires a lot of finesse to
manage successfully, and we are pleased to have maintained strong profitability again this year. An
additional advantage of our gasoline operations is their contribution to warehouse sales, as it is
another factor in driving increased, in-store shopper frequency.
Our pharmacies continue to receive recognition throughout North America for their low prescription
prices. One contributing factor is our central fill concept; and we now have three central fill facilities that
service most of our West Coast warehouses, helping reduce the cost of a prescription refill by almost
half. Both our prescription and over-the-counter drugs showed strong sales and profit increases in 2011.
At its core, Costco is a company of exceptional merchants and operators, and it is our dedication to
efficient sourcing, shipping, displaying and selling of quality goods and services that makes Costco the
company that it is today. We are constantly monitoring the unique qualities of each country in which we
operate, capitalizing on opportunities, adjusting and enhancing our product mix, and adding new items
to meet our members needs. Our merchandise suppliers are our partners, and we continually seek to
add top quality vendors to our ranks. We have recently established direct relationships with Precor,
Cannon Gun Safes, Stanley Tools, Craftsman, Asics, Hartmann, Hurley and Spanx among other highend
suppliers. Additionally, this year we introduced a co-branded product with both the Kirkland
Signature and the Cinnabon names on the package of Cinnamon Rolls sold in our bakeries; a cobranded
turkey breast with Foster Farms; a new ready-to-drink green tea in partnership with Ito En, a
leading Japanese food company; and finally, an assortment of canned soups that are co-branded with
the Campbell Soup Company.
We remain focused on selling national brand merchandise while developing the Kirkland Signature
brand to enhance member loyalty. After 19 years, our Kirkland Signature products now represent 15%
of the items we carry, but 20% of our sales dollars. We believe we have the capability of building our
sales penetration of Kirkland Signature products to 30% over the next several years, while continuing
to provide our members with quality brand name products that will always be a part of our product

selection. We are not content to simply develop products, and we work hard to ensure that we use
responsible and sustainable practices. We must know the source of every item we buy, provide quality
assurance on each item we carry, and ensure fair treatment for everyone involved in our supply chain.
In fiscal 2011 we spent nearly $1.3 billion for the construction and opening of new warehouses and
depots, as well as renovations to a number of our existing buildings. Costco ended calendar year 2011
with 598 warehouses in operation around the world: 433 in the United States and Puerto Rico, 82 in
Canada, 22 in the United Kingdom, 32 in Mexico, 11 in Japan, seven in Korea, eight in Taiwan and
three in Australia.
We opened 20 net new units in fiscal 2011, compared to 14 in 2010. Five openings were in new
markets, while the rest were infill buildings. In addition, we had two relocations: San Marcos, California,
and Chesterfield, Virginia. Other fiscal 2011 warehouse openings in North America included:
Woodmore Towne Center, Maryland; Fort Oglethorpe and Brookhaven, Georgia; Burnsville,
Minnesota; East Vancouver, Washington; Tucson, Arizona; Lodi, California; Marlboro, New Jersey;
Sanatoga, Pennsylvania; Melrose Park, Bolingbrook and Mettawa, Illinois; and three buildings in
Canada, located in Fredericton, New Brunswick; Rocky View, Alberta; and Courtenay, British
Columbia. And we opened one new Business Center  in San Diego, California. Internationally, we
opened five new buildings: Auburn and Canberra, Australia; Tainan and North Kaohsiung, Taiwan: and
Maebashi Gunma, Japan. Overall, fourteen of our new warehouses had opening day sales in excess of
$600,000, and four of them brought in sums of more than $1 million. The average annualized sales for
warehouses opened this year was $103 million per building  our highest ever.
In the run-up to this years holiday season, we also opened six new units in the following communities:
Bucks County, Pennsylvania; Frisco, Texas; Pewaukee, Wisconsin; Augusta, Georgia; Yawata Kyoto
and Zama, Japan. We have been actively reviewing potential sites and securing new properties during
the economic downturn and have many promising locations to be developed over the next few years.
And we are evaluating additional countries to help realize our goal of 1,000 warehouses in operation by
the next 10 to 12 years. The strong showing of our recent international openings reinforces Costcos
business model as a global success.
Our strategy for expansion includes thorough research and demographic analysis, and strict attention
to return on investment. Surely there is nothing quite like opening a Costco warehouse in a new
market; and our appeal, always so strong in North America, has translated well in the international
marketplace. People the world over just love our great values, quality merchandise and treasure hunt
atmosphere. Our international expansion is an important piece of Costcos business strategy, and our
global units are booming. Of our 598 locations open at the close of calendar 2011, 26 are in the fastgrowing
Asian markets where we operate, and where three of our new warehouses opened this year
posted some of the highest opening-day sales and new member sign-ups in Company history.
Australia is another exciting new market for Costco. We opened our first unit there in 2009 and added
two more in fiscal 2011: Auburn, in the Sydney market, which had one of the Companys highest
opening day sales; and Canberra, the nations capital.
A brief summary of highlights regarding sustainability indicates that by the end of calendar 2011 we will
have in operation rooftop solar photovoltaic systems at 60 of our facilities, which are projected to
generate 55 million kWh of electricity per year. We also continue to expand the use of non-chemical
water treatment systems used in our cooling towers to reduce the amount of chemicals going into
sewer systems. In addition, tons of trash that our warehouses generate each week, much of which was
once discarded into landfills, is now being recycled and renewed into usable products. And we now
have 257 grease recovery systems installed in our warehouses, resulting in the recovery of more than
four million pounds of grease from the waste stream. By coordinating with state and federal incentive
programs, these and other environmental/energy-saving systems help us reduce our carbon footprint
and lower the cost of operating our facilities.

All of our efforts are supported by our outstanding management team. When Costco was founded in
1983, we brought in some of the very best retail executives in the industry, most of them people we
had worked with for years in other companies. Together we worked to train and build Costcos
management team into what we believe is the strongest and most cohesive in the industry. Most of our
senior executives have been with the Company for more than 25 years and are well-versed in all areas
of our operations. Growing Costcos future leaders has been a major objective for all of us since the
beginning, and we have a deep bench of managers at all levels who are wholly committed to our
culture and core objectives and well-equipped to assume additional responsibilities.
In September of this year, Costcos co-founder Jim Sinegal informed our Board of Directors of his
intention to step down as Chief Executive Officer of the Company effective January, 2012. The Board
elected Craig Jelinek, President and Chief Operating Officer since February 2010, as President and Chief
Executive Officer effective January, 2012. Craig has been working very closely with Jim and co-founder/
Chairman of the Board Jeff Brotman over the past 18 months in coordinating major Company matters.
Craig is a highly experienced retail executive with 37 years in the industry, 28 of them at Costco, where
he started as one of the Companys first warehouse managers in 1984. He has served in every major
role related to Costcos business operations and merchandising activities during his tenure and is wellprepared
to assume the Companys leadership. Jim Sinegal will remain with Costco through January
2013, serving in an advisory role and assisting Craig during the transition. Jim will also continue to
serve on the Board of Directors and will stand for reelection at the January 2012 Annual Meeting.
Costco has a strong corporate culture, one that Craig Jelinek helped to build and will continue to
support as he assumes leadership of the Companys more than 161,000 employees around the world.
The Company will continue to pursue its mission of bringing the highest quality goods and services to
market at the lowest possible prices while providing excellent customer service and adhering to a strict
code of ethics that includes taking care of our employees and members, respecting our suppliers,
rewarding our shareholders, and seeking to be responsible corporate citizens and environmental
stewards in our operations around the world.
So what does the future hold for Costco? Like most retailers, we had our challenges in 2011: the
lackluster economy, a tough competitive environment, increased healthcare costs, and inflation, among
others. Yet we persevered by sticking to the basic principles that have made our Company successful.
We expect many of these same challenges may stay with us in 2012 and beyond, and we will meet
them head-on with continued passion and integrity, giving attention to all of our stakeholders, and
keeping a constant focus on achieving excellence while being innovative and nimble. Our decisions will
be made with an eye on the long term, so that Costco will still be successful for many years to come.
We appreciate the trust you, our shareholders, have placed in our management team, and on behalf of
our 161,000 employees around the world, we thank you for your support. We hope to see many of you
at our Annual Meeting of Shareholders on January 26th in Bellevue, Washington, where we will review
our 2011 accomplishments and discuss plans for a successful 2012.
Best wishes to you and your loved ones for a wonderful holiday season and a healthy, happy, and
prosperous New Year.
Warm Regards,
Jeff Brotman
Chairman of the Board
Jim Sinegal
Chief Executive Officer
Craig Jelinek
President & COO